package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.TwinDeviceAll;

/**
 * 全厂设备管理Mapper接口
 * 
 * @author wukai
 * @date 2025-03-06
 */
public interface TwinDeviceAllMapper extends BaseMapper<TwinDeviceAll>
{
    /**
     * 查询全厂设备管理
     * 
     * @param deviceId 全厂设备管理主键
     * @return 全厂设备管理
     */
    public TwinDeviceAll selectTwinDeviceAllByDeviceId(Long deviceId);

    /**
     * 查询全厂设备管理列表
     * 
     * @param twinDeviceAll 全厂设备管理
     * @return 全厂设备管理集合
     */
    public List<TwinDeviceAll> selectTwinDeviceAllList(TwinDeviceAll twinDeviceAll);

    /**
     * 新增全厂设备管理
     * 
     * @param twinDeviceAll 全厂设备管理
     * @return 结果
     */
    public int insertTwinDeviceAll(TwinDeviceAll twinDeviceAll);

    /**
     * 修改全厂设备管理
     * 
     * @param twinDeviceAll 全厂设备管理
     * @return 结果
     */
    public int updateTwinDeviceAll(TwinDeviceAll twinDeviceAll);

    /**
     * 删除全厂设备管理
     * 
     * @param deviceId 全厂设备管理主键
     * @return 结果
     */
    public int deleteTwinDeviceAllByDeviceId(Long deviceId);

    /**
     * 批量删除全厂设备管理
     * 
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinDeviceAllByDeviceIds(Long[] deviceIds);
}
