package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.TwinDeviceYhj;

/**
 * 印花机设备管理Service接口
 *
 * @author wukai
 * @date 2025-03-06
 */
public interface ITwinDeviceYhjService {
    /**
     * 查询印花机设备管理
     *
     * @param deviceId 印花机设备管理主键
     * @return 印花机设备管理
     */
    public TwinDeviceYhj selectTwinDeviceYhjByDeviceId(Long deviceId);

    /**
     * 查询印花机设备管理列表
     *
     * @param twinDeviceYhj 印花机设备管理
     * @return 印花机设备管理集合
     */
    public List<TwinDeviceYhj> selectTwinDeviceYhjList(TwinDeviceYhj twinDeviceYhj);

    /**
     * 新增印花机设备管理
     *
     * @param twinDeviceYhj 印花机设备管理
     * @return 结果
     */
    public int insertTwinDeviceYhj(TwinDeviceYhj twinDeviceYhj);

    /**
     * 修改印花机设备管理
     *
     * @param twinDeviceYhj 印花机设备管理
     * @return 结果
     */
    public int updateTwinDeviceYhj(TwinDeviceYhj twinDeviceYhj);

    /**
     * 批量删除印花机设备管理
     *
     * @param deviceIds 需要删除的印花机设备管理主键集合
     * @return 结果
     */
    public int deleteTwinDeviceYhjByDeviceIds(Long[] deviceIds);

    /**
     * 删除印花机设备管理信息
     *
     * @param deviceId 印花机设备管理主键
     * @return 结果
     */
    public int deleteTwinDeviceYhjByDeviceId(Long deviceId);
}
