package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工产量统计对象 TWIN_EMP_CALC
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinEmpCalcVO", description = "员工产量统计VO")
@Data
public class EmpCalcTrendVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date empDate;

    @ApiModelProperty("稼动率")
    private BigDecimal efficiency;
    @ApiModelProperty("A班稼动率")
    private BigDecimal efficiencyA;
    @ApiModelProperty("B班稼动率")
    private BigDecimal efficiencyB;

    @ApiModelProperty("产量")
    private BigDecimal length;
    @ApiModelProperty("A班产量")
    private BigDecimal lengthA;
    @ApiModelProperty("B班产量")
    private BigDecimal lengthB;

    @ApiModelProperty("总价")
    private BigDecimal totalPrice;
    @ApiModelProperty("A班总价")
    private BigDecimal totalPriceA;
    @ApiModelProperty("B班总价")
    private BigDecimal totalPriceB;

}
