package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 经编员工排班
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "KnittingEmpVO", description = "经编员工排班")
@Data
public class KnittingEmpVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("日期（yyyy-MM-dd）")
    @JsonFormat(shape = JsonFormat.Shape.STRING,
            pattern = "yyyy-MM-dd",
            timezone = "Asia/Shanghai")
    private Date date;
    @ApiModelProperty("员工号")
    private String id;
    @ApiModelProperty("员工姓名")
    private String name;
    @ApiModelProperty("班组(A/B)")
    private String team;
    @ApiModelProperty("上班时间（yyyy-MM-dd HH:mm:ss）")
    @JsonFormat(shape = JsonFormat.Shape.STRING,
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "Asia/Shanghai")
    private Date in;
    @ApiModelProperty("下班时间（yyyy-MM-dd HH:mm:ss）")
    @JsonFormat(shape = JsonFormat.Shape.STRING,
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "Asia/Shanghai")
    private Date out;
    @ApiModelProperty("机台号")
    private List<String> devices;
}
