package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 纱线规格视图
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "YarnVO", description = "纱线规格统计视图")
@Data
public class YarnVO {
    @ApiModelProperty("L1、L5纱线规格D")
    private Integer formula_data_4;
    @ApiModelProperty("L2、L4纱线规格D")
    private Integer formula_data_5;
    @ApiModelProperty("L3纱线规格D")
    private Integer formula_data_6;
    @ApiModelProperty("L1、L5盘头根数")
    private Integer formula_data_10;
    @ApiModelProperty("L2、L4盘头根数")
    private Integer formula_data_11;
    @ApiModelProperty("L3盘头根数")
    private Integer formula_data_12;
    @ApiModelProperty("毛高")
    private Float formula_data_15;
    @ApiModelProperty("最近生产日米长")
    private BigDecimal lastLength;
    @ApiModelProperty("预计生产米长")
    private BigDecimal nextLength;
    @ApiModelProperty("规格占比")
    private BigDecimal percentD;
    @ApiModelProperty("底纱占比")
    private BigDecimal percentDd;

    @ApiModelProperty("纱线规格D")
    private String yarnD;
    @ApiModelProperty("纱线规格D底纱")
    private String yarnDd;
}
