package com.jjt.calc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 设备盘头信息对象 TWIN_PAN_HEAD_INFO
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinPanHeadInfo", description = "设备盘头信息")
@Data
public class TwinPanHeadInfo extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 信息ID */
    @ApiModelProperty("信息ID")
    @TableId
    private Long infoId;

    /** 设备ID */
    @ApiModelProperty("设备ID")
    @Excel(name = "设备ID")
    private Long deviceId;

    /** 盘头号 */
    @ApiModelProperty("盘头号")
    @Excel(name = "盘头号")
    private Long phNum;

    /** 盘头最大圈数 */
    @ApiModelProperty("盘头最大圈数")
    @Excel(name = "盘头最大圈数")
    private Long phMax;

    /** 最大圈数记录时间 */
    @ApiModelProperty("最大圈数记录时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最大圈数记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordTime;

    /** 创建人 */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @ApiModelProperty("更新人")
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

}
