package com.jjt.calc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 并发停机视图
 *
 * @author wukai
 * @date 2025/3/15 02:51
 */
@ApiModel(value = "TpsVO", description = "并发停机视图")
@Data
public class TpsVO {
    @ApiModelProperty("停机类型")
    private Integer type;
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;
    @ApiModelProperty("小时")
    private Integer hour;
    @ApiModelProperty("并发数")
    private Integer tps;
    @ApiModelProperty("停机次数")
    private Integer num;
    @ApiModelProperty("最长时间（秒）")
    private Long max;
    @ApiModelProperty("最短时间（秒）")
    private Long min;
    @ApiModelProperty("平均时间（秒）")
    private BigDecimal avg;
}
