package com.jjt.elec.service;

import com.jjt.elec.domain.ElecPeriod;

import java.util.List;

/**
 * 电费分时配置Service接口
 *
 * @author wukai
 * @date 2025-03-14
 */
public interface IElecPeriodService {
    /**
     * 查询电费分时配置
     *
     * @param periodId 电费分时配置主键
     * @return 电费分时配置
     */
    public ElecPeriod selectElecPeriodByPeriodId(Long periodId);

    /**
     * 查询电费分时配置列表
     *
     * @param elecPeriod 电费分时配置
     * @return 电费分时配置集合
     */
    public List<ElecPeriod> selectElecPeriodList(ElecPeriod elecPeriod);

    /**
     * 新增电费分时配置
     *
     * @param elecPeriod 电费分时配置
     * @return 结果
     */
    public int insertElecPeriod(ElecPeriod elecPeriod);

    /**
     * 修改电费分时配置
     *
     * @param elecPeriod 电费分时配置
     * @return 结果
     */
    public int updateElecPeriod(ElecPeriod elecPeriod);

    /**
     * 批量删除电费分时配置
     *
     * @param periodIds 需要删除的电费分时配置主键集合
     * @return 结果
     */
    public int deleteElecPeriodByPeriodIds(Long[] periodIds);

    /**
     * 删除电费分时配置信息
     *
     * @param periodId 电费分时配置主键
     * @return 结果
     */
    public int deleteElecPeriodByPeriodId(Long periodId);

}
