package com.jjt.inventory.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 白坯库日统计数据对象 TWIN_CALC_DAY_BP
 *
 * @author wukai
 * @date 2025-06-13
 */
@ApiModel(value = "TwinCalcDayBp", description = "白坯库日统计数据")
@Data
public class TwinCalcDayBp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @TableId
    private Long id;

    /**
     * 时间
     */
    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /**
     * 产线编号
     */
    @ApiModelProperty("产线编号")
    @Excel(name = "产线编号")
    private Integer deviceId;

    /**
     * 最大库存-卷
     */
    @ApiModelProperty("最大库存-卷")
    @Excel(name = "最大库存-卷")
    private Integer rollMax;

    /**
     * 最大库存-米
     */
    @ApiModelProperty("最大库存-米")
    @Excel(name = "最大库存-米")
    private Integer meterMax;

    /**
     * 最大库存-重
     */
    @ApiModelProperty("最大库存-重")
    @Excel(name = "最大库存-重")
    private Integer weightMax;

    /**
     * 最小库存-卷
     */
    @ApiModelProperty("最小库存-卷")
    @Excel(name = "最小库存-卷")
    private Integer rollMin;

    /**
     * 最小库存-米
     */
    @ApiModelProperty("最小库存-米")
    @Excel(name = "最小库存-米")
    private Integer meterMin;

    /**
     * 最小库存-重
     */
    @ApiModelProperty("最小库存-重")
    @Excel(name = "最小库存-重")
    private Integer weightMin;

    /**
     * 平均库存-卷
     */
    @ApiModelProperty("平均库存-卷")
    @Excel(name = "平均库存-卷")
    private BigDecimal rollAvg;

    /**
     * 平均库存-米
     */
    @ApiModelProperty("平均库存-米")
    @Excel(name = "平均库存-米")
    private BigDecimal meterAvg;

    /**
     * 平均库存-重
     */
    @ApiModelProperty("平均库存-重")
    @Excel(name = "平均库存-重")
    private BigDecimal weightAvg;

    /**
     * 明细数据-卷
     */
    @ApiModelProperty("明细数据-卷")
    @Excel(name = "明细数据-卷")
    private String rollData;

    /**
     * 明细数据-米
     */
    @ApiModelProperty("明细数据-米")
    @Excel(name = "明细数据-米")
    private String meterData;

    /**
     * 明细数据-重
     */
    @ApiModelProperty("明细数据-重")
    @Excel(name = "明细数据-重")
    private String weightData;

}
