package com.jjt.inventory.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 盘头库日统计数据对象 TWIN_CALC_DAY_PT
 *
 * @author wukai
 * @date 2025-06-13
 */
@ApiModel(value = "TwinCalcDayPt", description = "盘头库日统计数据")
@Data
public class TwinCalcDayPt extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty("ID")
    @TableId
    private Long id;

    /** 时间 */
    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 产线编号 */
    @ApiModelProperty("产线编号")
    @Excel(name = "产线编号")
    private Integer deviceId;

    /** 最大使用量 */
    @ApiModelProperty("最大使用量")
    @Excel(name = "最大使用量")
    private Integer maxNum;

    /** 平均库存 */
    @ApiModelProperty("平均库存")
    @Excel(name = "平均库存")
    private BigDecimal avgNum;

    /** 使用率 */
    @ApiModelProperty("使用率")
    @Excel(name = "使用率")
    private BigDecimal rate;

    /** 明细数据 */
    @ApiModelProperty("明细数据")
    @Excel(name = "明细数据")
    private String data;

}
