package com.jjt.inventory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 白坯投放量小时数据对象 TWIN_CALC_HOUR_BP_OUT
 *
 * @author wukai
 * @date 2025-06-11
 */
@ApiModel(value = "TwinCalcHourBpOut", description = "白坯投放量小时数据")
@Data
public class TwinCalcHourBpOut extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty("ID")
    @TableId
    private Long id;

    /** 日期 */
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDate;

    /** 小时;0-23 */
    @ApiModelProperty("小时;0-23")
    @Excel(name = "小时;0-23")
    private Integer hour;

    /** 设备ID */
    @ApiModelProperty("设备ID")
    @Excel(name = "设备ID")
    private Integer deviceId;

    /** 投放米数 */
    @ApiModelProperty("投放米数")
    @Excel(name = "投放米数")
    private Integer length;

    /** 投放重量 */
    @ApiModelProperty("投放重量")
    @Excel(name = "投放重量")
    private Integer weight;

}
