package com.jjt.inventory.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.inventory.domain.TwinCalcHourBp;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 白坯仓库小时数据Mapper接口
 *
 * @author wukai
 * @date 2025-06-10
 */
public interface TwinCalcHourBpMapper extends BaseMapper<TwinCalcHourBp> {
    /**
     * 查询白坯仓库小时数据
     *
     * @param id 白坯仓库小时数据主键
     * @return 白坯仓库小时数据
     */
    public TwinCalcHourBp selectTwinCalcHourBpById(Long id);

    /**
     * 查询白坯仓库小时数据列表
     *
     * @param twinCalcHourBp 白坯仓库小时数据
     * @return 白坯仓库小时数据集合
     */
    public List<TwinCalcHourBp> selectTwinCalcHourBpList(TwinCalcHourBp twinCalcHourBp);

    /**
     * 新增白坯仓库小时数据
     *
     * @param twinCalcHourBp 白坯仓库小时数据
     * @return 结果
     */
    public int insertTwinCalcHourBp(TwinCalcHourBp twinCalcHourBp);

    /**
     * 修改白坯仓库小时数据
     *
     * @param twinCalcHourBp 白坯仓库小时数据
     * @return 结果
     */
    public int updateTwinCalcHourBp(TwinCalcHourBp twinCalcHourBp);

    /**
     * 删除白坯仓库小时数据
     *
     * @param id 白坯仓库小时数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourBpById(Long id);

    /**
     * 批量删除白坯仓库小时数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourBpByIds(Long[] ids);

    /**
     * 查询白坯仓库小时数据
     *
     * @param time  时间
     * @param hours 小时
     * @return 白坯仓库小时数据集合
     */
    List<TwinCalcHourBp> selectTwinCalcHourBpByHours(@Param("time") Date time, @Param("hours") int[] hours);
}
