package com.jjt.inventory.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.inventory.domain.TwinCalcHourBpOut;

/**
 * 白坯投放量小时数据Mapper接口
 * 
 * @author wukai
 * @date 2025-06-11
 */
public interface TwinCalcHourBpOutMapper extends BaseMapper<TwinCalcHourBpOut>
{
    /**
     * 查询白坯投放量小时数据
     * 
     * @param id 白坯投放量小时数据主键
     * @return 白坯投放量小时数据
     */
    public TwinCalcHourBpOut selectTwinCalcHourBpOutById(Long id);

    /**
     * 查询白坯投放量小时数据列表
     * 
     * @param twinCalcHourBpOut 白坯投放量小时数据
     * @return 白坯投放量小时数据集合
     */
    public List<TwinCalcHourBpOut> selectTwinCalcHourBpOutList(TwinCalcHourBpOut twinCalcHourBpOut);

    /**
     * 新增白坯投放量小时数据
     * 
     * @param twinCalcHourBpOut 白坯投放量小时数据
     * @return 结果
     */
    public int insertTwinCalcHourBpOut(TwinCalcHourBpOut twinCalcHourBpOut);

    /**
     * 修改白坯投放量小时数据
     * 
     * @param twinCalcHourBpOut 白坯投放量小时数据
     * @return 结果
     */
    public int updateTwinCalcHourBpOut(TwinCalcHourBpOut twinCalcHourBpOut);

    /**
     * 删除白坯投放量小时数据
     * 
     * @param id 白坯投放量小时数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourBpOutById(Long id);

    /**
     * 批量删除白坯投放量小时数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourBpOutByIds(Long[] ids);
}
