package com.jjt.inventory.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.inventory.domain.TwinCalcHourPt;

/**
 * 盘头仓库小时数据Mapper接口
 * 
 * @author wukai
 * @date 2025-06-10
 */
public interface TwinCalcHourPtMapper extends BaseMapper<TwinCalcHourPt>
{
    /**
     * 查询盘头仓库小时数据
     * 
     * @param id 盘头仓库小时数据主键
     * @return 盘头仓库小时数据
     */
    public TwinCalcHourPt selectTwinCalcHourPtById(Long id);

    /**
     * 查询盘头仓库小时数据列表
     * 
     * @param twinCalcHourPt 盘头仓库小时数据
     * @return 盘头仓库小时数据集合
     */
    public List<TwinCalcHourPt> selectTwinCalcHourPtList(TwinCalcHourPt twinCalcHourPt);

    /**
     * 新增盘头仓库小时数据
     * 
     * @param twinCalcHourPt 盘头仓库小时数据
     * @return 结果
     */
    public int insertTwinCalcHourPt(TwinCalcHourPt twinCalcHourPt);

    /**
     * 修改盘头仓库小时数据
     * 
     * @param twinCalcHourPt 盘头仓库小时数据
     * @return 结果
     */
    public int updateTwinCalcHourPt(TwinCalcHourPt twinCalcHourPt);

    /**
     * 删除盘头仓库小时数据
     * 
     * @param id 盘头仓库小时数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourPtById(Long id);

    /**
     * 批量删除盘头仓库小时数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourPtByIds(Long[] ids);
}
