package com.jjt.inventory.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 库存视图
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@Data
@NoArgsConstructor
@ApiModel(value = "PtStockVO", description = "库存视图")
public class PtStockVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "物料类型")
    private String skuClass;
    @ApiModelProperty(name = "物料编码")
    private String sku;
    @ApiModelProperty(name = "物料名称")
    private String skuDesc;
    @ApiModelProperty(name = "长丝旦数（D）")
    private String lot13;
    @ApiModelProperty(name = "整经根数/验布幅宽（cm）")
    private String lot15;
    @ApiModelProperty(name = "盘头数量")
    private Integer num;
    @ApiModelProperty(name = "库存明细")
    private List<PtStockDetailVO> details;

    public PtStockVO(String skuClass, String sku, String skuDesc, String lot13, String lot15) {
        this.skuClass = skuClass;
        this.sku = sku;
        this.skuDesc = skuDesc;
        this.lot13 = lot13;
        this.lot15 = lot15;
    }
}
