package com.jjt.inventory.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 库存视图
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@Data
@ApiModel(value = "StockVO", description = "库存视图")
public class StockVO {
    private static final long serialVersionUID = 1L;
    /**
     * WH01-原料仓库
     * WH03-盘头仓库
     * WH04-白坯仓库
     * WH08-成辅仓库
     */
    @ApiModelProperty(name = "仓库类型")
    private String type;
    @ApiModelProperty(name = "物料编码")
    private String sku;
    @ApiModelProperty(name = "物料名称")
    private String skuDesc;
    @ApiModelProperty(name = "单位")
    private String uom;
    @ApiModelProperty(name = "数量")
    private String qty;
    @ApiModelProperty(name = "米长")
    private Integer lot07;
    @ApiModelProperty(name = "重量")
    private Integer lot08;
}
