package com.jjt.order.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 物料管理对象 TWIN_BOM
 *
 * @author wukai
 * @date 2025-01-16
 */
@ApiModel(value = "TwinBom", description = "物料管理")
@Data
public class TwinBom extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 物料ID */
    @ApiModelProperty("物料ID")
    @TableId
    private Long bomId;

    /** 物料编码 */
    @ApiModelProperty("物料编码")
    @Excel(name = "物料编码")
    private String bomCode;

    /** 物料名称 */
    @ApiModelProperty("物料名称")
    @Excel(name = "物料名称")
    private String bomName;

    /** 物料规格 */
    @ApiModelProperty("物料规格")
    @Excel(name = "物料规格")
    private String bomSpec;

    /** 物料型号 */
    @ApiModelProperty("物料型号")
    @Excel(name = "物料型号")
    private String bomModel;

    /** 单重 */
    @ApiModelProperty("单重")
    @Excel(name = "单重")
    private Long bomWeight;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    private Date createdTime;

    /** 更新人 */
    @ApiModelProperty("更新人")
    private String updatedBy;

    /** 更新时间 */
    @ApiModelProperty("更新时间")
    private Date updatedTime;

}
