package com.jjt.order.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import com.jjt.order.vo.BomVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 销售订单信息对象 TWIN_ORDER
 *
 * @author wukai
 * @date 2025-01-16
 */
@ApiModel(value = "TwinOrder", description = "销售订单信息")
@Data
public class TwinOrder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 订单ID
     */
    @ApiModelProperty("订单ID")
    @TableId
    private Long oderId;

    /**
     * 订单编号
     */
    @ApiModelProperty("订单编号")
    @Excel(name = "订单编号")
    private String orderCode;

    /**
     * 客户号
     */
    @ApiModelProperty("客户号")
    @Excel(name = "客户号")
    private String customerCode;

    /**
     * 客户名称
     */
    @ApiModelProperty("客户名称")
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 订单日期
     */
    @ApiModelProperty("订单日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "订单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderDate;
    /**
     * 销售订单明细信息信息
     */
    private List<TwinOrderDetail> twinOrderDetailList;

    /**
     * 物料信息
     */
    private List<BomVO> bomList;

}
