package com.jjt.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.order.domain.TwinOrderDetail;

/**
 * 销售订单明细信息Mapper接口
 * 
 * @author wukai
 * @date 2025-01-16
 */
public interface TwinOrderDetailMapper extends BaseMapper<TwinOrderDetail>
{
    /**
     * 查询销售订单明细信息
     * 
     * @param odId 销售订单明细信息主键
     * @return 销售订单明细信息
     */
    public TwinOrderDetail selectTwinOrderDetailByOdId(Long odId);

    /**
     * 查询销售订单明细信息列表
     * 
     * @param twinOrderDetail 销售订单明细信息
     * @return 销售订单明细信息集合
     */
    public List<TwinOrderDetail> selectTwinOrderDetailList(TwinOrderDetail twinOrderDetail);

    /**
     * 新增销售订单明细信息
     * 
     * @param twinOrderDetail 销售订单明细信息
     * @return 结果
     */
    public int insertTwinOrderDetail(TwinOrderDetail twinOrderDetail);

    /**
     * 修改销售订单明细信息
     * 
     * @param twinOrderDetail 销售订单明细信息
     * @return 结果
     */
    public int updateTwinOrderDetail(TwinOrderDetail twinOrderDetail);

    /**
     * 删除销售订单明细信息
     * 
     * @param odId 销售订单明细信息主键
     * @return 结果
     */
    public int deleteTwinOrderDetailByOdId(Long odId);

    /**
     * 批量删除销售订单明细信息
     * 
     * @param odIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinOrderDetailByOdIds(Long[] odIds);
}
