package com.jjt.order.service;

import java.util.List;
import com.jjt.order.domain.TwinBom;

/**
 * 物料管理Service接口
 *
 * @author wukai
 * @date 2025-01-16
 */
public interface ITwinBomService {
    /**
     * 查询物料管理
     *
     * @param bomId 物料管理主键
     * @return 物料管理
     */
    public TwinBom selectTwinBomByBomId(Long bomId);

    /**
     * 查询物料管理列表
     *
     * @param twinBom 物料管理
     * @return 物料管理集合
     */
    public List<TwinBom> selectTwinBomList(TwinBom twinBom);

    /**
     * 新增物料管理
     *
     * @param twinBom 物料管理
     * @return 结果
     */
    public int insertTwinBom(TwinBom twinBom);

    /**
     * 修改物料管理
     *
     * @param twinBom 物料管理
     * @return 结果
     */
    public int updateTwinBom(TwinBom twinBom);

    /**
     * 批量删除物料管理
     *
     * @param bomIds 需要删除的物料管理主键集合
     * @return 结果
     */
    public int deleteTwinBomByBomIds(Long[] bomIds);

    /**
     * 删除物料管理信息
     *
     * @param bomId 物料管理主键
     * @return 结果
     */
    public int deleteTwinBomByBomId(Long bomId);
}
