package com.jjt.order.vo;

import com.jjt.order.domain.TwinOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 物料  twin_order_detail
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@Data
@ApiModel(value = "BomVO", description = "物料视图")
public class BomVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "物料编码")
    private String bomCode;

    @ApiModelProperty(name = "物料名称")
    private String bomName;

    @ApiModelProperty(name = "物料规格")
    private String bomSpec;

    @ApiModelProperty(name = "订单量")
    private Long orders;

    @ApiModelProperty(name = "需求总重量")
    private Double xql;

    @ApiModelProperty(name = "库存量")
    private Float kcl;

    @ApiModelProperty(name = "印染量")
    private Float yrl;

    @ApiModelProperty(name = "预测量")
    private Double ycl;

    @ApiModelProperty(name = "差值")
    private Double cz;

    @ApiModelProperty(name = "差率")
    private Double cl;

    @ApiModelProperty(name = "机台号")
    private String deviceIds;

    @ApiModelProperty(name = "最近日产量")
    private Double last;

    @ApiModelProperty(name = "平方米克重")
    private BigDecimal gsm;

    @ApiModelProperty(name = "订单信息")
    private List<TwinOrder> orderList;

    public void init() {
        this.orders = 0L;
        this.xql = 0d;
        this.kcl = 0f;
        this.ycl = 0d;
        this.cz = 0d;
        this.cl = 0d;
    }
}
