package com.jjt.rz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 染整线设备管理对象 TWIN_DEVICE_RZ
 *
 * @author wukai
 * @date 2025-05-21
 */
@ApiModel(value = "TwinDeviceRz", description = "染整线设备管理")
@Data
public class TwinDeviceRz extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @TableId
    private Long deviceId;

    /**
     * 车间
     */
    @ApiModelProperty("车间")
    @Excel(name = "车间")
    private String wsName;

    /**
     * 产线编号
     */
    @ApiModelProperty("产线编号")
    @Excel(name = "产线编号")
    private String line;

    /**
     * 设备类型
     */
    @ApiModelProperty("设备类型")
    @Excel(name = "设备类型")
    private Long typeId;

    /**
     * 设备类型名称
     */
    @ApiModelProperty("设备类型名称")
    @Excel(name = "设备类型名称")
    private String typeName;

    /**
     * 设备编码
     */
    @ApiModelProperty("设备编码")
    @Excel(name = "设备编码")
    private String deviceCode;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备路径
     */
    @ApiModelProperty("设备路径")
    @Excel(name = "设备路径")
    private String devicePath;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    @ApiModelProperty("是否在线")
    private Boolean online;
}
