package com.jjt.rz.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 设备类型管理对象 TWIN_DEVICE_TYPE
 *
 * @author wukai
 * @date 2025-05-21
 */
@ApiModel(value = "TwinDeviceType", description = "设备类型管理")
@Data
public class TwinDeviceType extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty("ID")
    @TableId
    private Long typeId;

    /** 组别;RZ.染整线 */
    @ApiModelProperty("组别;RZ.染整线")
    @Excel(name = "组别;RZ.染整线")
    private String typeGroup;

    /** 设备类型 */
    @ApiModelProperty("设备类型")
    @Excel(name = "设备类型")
    private String typeName;

    /** 设备IOT通配符 */
    @ApiModelProperty("设备IOT通配符")
    @Excel(name = "设备IOT通配符")
    private String typeMatch;

    /** 创建人 */
    @ApiModelProperty("创建人")
    private String createdBy;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    private Date createdTime;

    /** 更新人 */
    @ApiModelProperty("更新人")
    private String updatedBy;

    /** 更新时间 */
    @ApiModelProperty("更新时间")
    private Date updatedTime;

    /** 设备类型数据管理信息 */
    private List<TwinDeviceTypeData> twinDeviceTypeDataList;

}
