package com.jjt.rz.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 设备类型数据管理对象 TWIN_DEVICE_TYPE_DATA
 *
 * @author wukai
 * @date 2025-05-21
 */
@Data
public class TwinDeviceTypeData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long dataId;

    /**
     * 设备类型ID
     */
    @Excel(name = "设备类型ID")
    private Long typeId;

    /**
     * 数据名称
     */
    @Excel(name = "数据名称")
    private String dataName;

    @Excel(name = "排序")
    private Integer dataSort;
    /**
     * 人工设定
     */
    @Excel(name = "人工设定")
    private String dataCode;

    /**
     * mes下发字段
     */
    @Excel(name = "mes下发字段")
    private String mesCode;

    /**
     * 实际值字段
     */
    @Excel(name = "实际值字段")
    private String actCode;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

}
