package com.jjt.rz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.rz.domain.TwinDeviceRz;

/**
 * 染整线设备管理Mapper接口
 * 
 * @author wukai
 * @date 2025-05-21
 */
public interface TwinDeviceRzMapper extends BaseMapper<TwinDeviceRz>
{
    /**
     * 查询染整线设备管理
     * 
     * @param deviceId 染整线设备管理主键
     * @return 染整线设备管理
     */
    public TwinDeviceRz selectTwinDeviceRzByDeviceId(Long deviceId);

    /**
     * 查询染整线设备管理列表
     * 
     * @param twinDeviceRz 染整线设备管理
     * @return 染整线设备管理集合
     */
    public List<TwinDeviceRz> selectTwinDeviceRzList(TwinDeviceRz twinDeviceRz);

    /**
     * 新增染整线设备管理
     * 
     * @param twinDeviceRz 染整线设备管理
     * @return 结果
     */
    public int insertTwinDeviceRz(TwinDeviceRz twinDeviceRz);

    /**
     * 修改染整线设备管理
     * 
     * @param twinDeviceRz 染整线设备管理
     * @return 结果
     */
    public int updateTwinDeviceRz(TwinDeviceRz twinDeviceRz);

    /**
     * 删除染整线设备管理
     * 
     * @param deviceId 染整线设备管理主键
     * @return 结果
     */
    public int deleteTwinDeviceRzByDeviceId(Long deviceId);

    /**
     * 批量删除染整线设备管理
     * 
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinDeviceRzByDeviceIds(Long[] deviceIds);
}
