package com.jjt.wkEmp.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 经编车间员工排班对象 TWIN_WK_EMP_ROTA
 *
 * @author wukai
 * @date 2025-04-28
 */
@ApiModel(value = "TwinWkEmpRota", description = "经编车间员工排班")
@Data
public class TwinWkEmpRota extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 班次ID */
    @ApiModelProperty("班次ID")
    @TableId
    private Long shiftId;

    /** 时间 */
    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date empDate;

    /** 员工号 */
    @ApiModelProperty("员工号")
    @Excel(name = "员工号")
    private String empId;

    /** 员工姓名 */
    @ApiModelProperty("员工姓名")
    @Excel(name = "员工姓名")
    private String empName;

    /** 班组 */
    @ApiModelProperty("班组")
    @Excel(name = "班组")
    private String empTeam;
    /** 上班时间 */
    @ApiModelProperty("上班时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上班时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;

    /** 下班时间 */
    @ApiModelProperty("下班时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下班时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;
    /** 机台号 */
    @ApiModelProperty("机台号")
    @Excel(name = "机台号")
    private String devices;

    /** 创建人 */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /** 更新人 */
    @ApiModelProperty("更新人")
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

}
