package com.jjt.wkEmp.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 经编车间排班同步记录对象 TWIN_WK_EMP_SYNC
 *
 * @author wukai
 * @date 2025-04-28
 */
@ApiModel(value = "TwinWkEmpSync", description = "经编车间排班同步记录")
@Data
public class TwinWkEmpSync extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 同步ID */
    @ApiModelProperty("同步ID")
    @TableId
    private Long syncId;

    /** 同步内容 */
    @ApiModelProperty("同步内容")
    @Excel(name = "同步内容")
    private String content;

    /** 数据处理时间 */
    @ApiModelProperty("数据处理时间")
    @Excel(name = "数据处理时间")
    private Long time;

    /** 处理状态 */
    @ApiModelProperty("处理状态")
    @Excel(name = "处理状态")
    private String status;

    /** 记录时间 */
    @ApiModelProperty("记录时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

}
