package com.jjt.ws.domain;

import java.util.List;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 车间管理对象 TWIN_WORKSHOP
 *
 * @author wukai
 * @date 2025-01-17
 */
@ApiModel(value = "TwinWorkshop", description = "车间管理")
@Data
public class TwinWorkshop extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 车间ID */
    @ApiModelProperty("车间ID")
    @TableId
    private Long wsId;

    /** 车间编码 */
    @ApiModelProperty("车间编码")
    @Excel(name = "车间编码")
    private String wsCode;

    /** 车间名称 */
    @ApiModelProperty("车间名称")
    @Excel(name = "车间名称")
    private String wsName;

    /** 车间能源管理信息 */
    private List<TwinWorkshopEnergy> twinWorkshopEnergyList;

}
