package com.jjt.ws.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.ws.domain.TwinRzCalcMonth;

/**
 * 染整月统计Mapper接口
 * 
 * @author wukai
 * @date 2025-04-23
 */
public interface TwinRzCalcMonthMapper extends BaseMapper<TwinRzCalcMonth>
{
    /**
     * 查询染整月统计
     * 
     * @param calcId 染整月统计主键
     * @return 染整月统计
     */
    public TwinRzCalcMonth selectTwinRzCalcMonthByCalcId(Long calcId);

    /**
     * 查询染整月统计列表
     * 
     * @param twinRzCalcMonth 染整月统计
     * @return 染整月统计集合
     */
    public List<TwinRzCalcMonth> selectTwinRzCalcMonthList(TwinRzCalcMonth twinRzCalcMonth);

    /**
     * 新增染整月统计
     * 
     * @param twinRzCalcMonth 染整月统计
     * @return 结果
     */
    public int insertTwinRzCalcMonth(TwinRzCalcMonth twinRzCalcMonth);

    /**
     * 修改染整月统计
     * 
     * @param twinRzCalcMonth 染整月统计
     * @return 结果
     */
    public int updateTwinRzCalcMonth(TwinRzCalcMonth twinRzCalcMonth);

    /**
     * 删除染整月统计
     * 
     * @param calcId 染整月统计主键
     * @return 结果
     */
    public int deleteTwinRzCalcMonthByCalcId(Long calcId);

    /**
     * 批量删除染整月统计
     * 
     * @param calcIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinRzCalcMonthByCalcIds(Long[] calcIds);
}
